close
    trying to play games on facebook said need to install flash player 10.2 already installed. now what?

    0  Views: 409 Answers: 1 Posted: 7 years ago

    1 Answer

    You should need the 11.0. That's what I have to use for Facebook games. Try using this link to get the proper flash player for your operating system and the browser you are using http://get.adobe.com/flashplayer/otherversions/ 





    Top contributors in Security category

     
    Colleen
    Answers: 1064 / Questions: 0
    Karma: 18930
     
    ROMOS
    Answers: 267 / Questions: 0
    Karma: 13350
     
    country bumpkin
    Answers: 79 / Questions: 0
    Karma: 4920
     
    FISH-O
    Answers: 39 / Questions: 0
    Karma: 3150
    > Top contributors chart

    Unanswered Questions

    Do you like the video game Among Us?
    Answers: 0 Views: 5 Rating: 0
    Do you like the video game Among Us?
    Answers: 0 Views: 6 Rating: 0
    Do you like the video game Among Us?
    Answers: 0 Views: 4 Rating: 0
    WHAT IS SATIRE AND WHAT IS ITS MEANING?
    Answers: 0 Views: 7 Rating: 0
    WHAT IS SATIRE AND WHAT IS ITS MEANING?
    Answers: 0 Views: 6 Rating: 0
    WHAT IS SATIRE AND WHAT IS ITS MEANING?
    Answers: 0 Views: 4 Rating: 0
    WHAT IS SATIRE AND WHAT IS ITS MEANING?
    Answers: 0 Views: 10 Rating: 0
    > More questions...
    445650
    questions
    716215
    answers
    637981
    users